com.brightcove.player.util

## Class LifecycleUtil

- java.lang.Object
- - com.brightcove.player.event.AbstractComponent
  - - com.brightcove.player.util.LifecycleUtil

- All Implemented Interfaces:
    Component

      @Emits(events={"seekTo","activityCreated","activityDestroyed","activityPaused","activityRestarted","activityResumed","activitySaveInstanceState","activityStarted","activityStopped","configurationChanged","fragmentActivityCreated","fragmentCreatedView","fragmentDestroyed","fragmentDestroyedView","fragmentDetached","fragmentPaused","fragmentResumed","fragmentSaveInstanceState","fragmentStarted","fragmentStopped","fragmentViewStateRestored"})
       @ListensFor(events={"activityDestroyed","fragmentDestroyedView"})
      public class LifecycleUtil
      extends AbstractComponent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `BaseVideoView` | `baseVideoView`
    `static java.lang.String` | `POSITION`
    `static java.lang.String` | `TAG`
    `static java.lang.String` | `VIDEO_HEIGHT`
    `static java.lang.String` | `VIDEO_WIDTH`
    `static java.lang.String` | `WAS_PLAYING`

    - ### Fields inherited from class com.brightcove.player.event.AbstractComponent

      `eventEmitter, listenerTokens`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleUtil(BaseVideoView baseVideoView)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activityOnDestroy()`
    `void` | `activityOnPause()`
    `void` | `activityOnResume()`
    `void` | `activityOnSaveInstanceState(android.os.Bundle bundle)`
    `void` | `activityOnStart()`
    `void` | `activityOnStop()`
    `void` | `fragmentOnDestroy()`
    `void` | `fragmentOnPause()`
    `void` | `fragmentOnResume()`
    `void` | `fragmentOnSaveInstanceState(android.os.Bundle bundle)`
    `void` | `fragmentOnStart()`
    `void` | `fragmentOnStop()`
    `void` | `onActivityCreated(android.os.Bundle savedInstanceState)`
    `void` | `onConfigurationChanged(android.content.res.Configuration configuration)`
    `void` | `onCreate(android.os.Bundle savedInstanceState, android.app.Activity activity)`
    `void` | `onCreateView(android.os.Bundle savedInstanceState, java.lang.Object fragment)`
    `void` | `onDestroyView()`
    `void` | `onDetach()`
    `void` | `onRestart()`
    `void` | `onViewStateRestored(android.os.Bundle savedInstanceState)`

    - ### Methods inherited from class com.brightcove.player.event.AbstractComponent

      `addListener, addOnceListener, getEventEmitter, removeListener, removeListeners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

    - #### POSITION

          public static final java.lang.String POSITION

      See Also:
        Constant Field Values

    - #### WAS_PLAYING

          public static final java.lang.String WAS_PLAYING

      See Also:
        Constant Field Values

    - #### VIDEO_WIDTH

          public static final java.lang.String VIDEO_WIDTH

      See Also:
        Constant Field Values

    - #### VIDEO_HEIGHT

          public static final java.lang.String VIDEO_HEIGHT

      See Also:
        Constant Field Values

    - #### baseVideoView

          public BaseVideoView baseVideoView

  - ### Constructor Detail

    - #### LifecycleUtil

          public LifecycleUtil(BaseVideoView baseVideoView)

  - ### Method Detail

    - #### onConfigurationChanged

          public void onConfigurationChanged(android.content.res.Configuration configuration)

    - #### onActivityCreated

          public void onActivityCreated(android.os.Bundle savedInstanceState)

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState,
                               android.app.Activity activity)

    - #### onCreateView

          public void onCreateView(android.os.Bundle savedInstanceState,
                                   java.lang.Object fragment)

    - #### activityOnStart

          public void activityOnStart()

    - #### fragmentOnStart

          public void fragmentOnStart()

    - #### activityOnPause

          public void activityOnPause()

    - #### fragmentOnPause

          public void fragmentOnPause()

    - #### activityOnResume

          public void activityOnResume()

    - #### fragmentOnResume

          public void fragmentOnResume()

    - #### onRestart

          public void onRestart()

    - #### activityOnDestroy

          public void activityOnDestroy()

    - #### fragmentOnDestroy

          public void fragmentOnDestroy()

    - #### onDestroyView

          public void onDestroyView()

    - #### onDetach

          public void onDetach()

    - #### activityOnStop

          public void activityOnStop()

    - #### fragmentOnStop

          public void fragmentOnStop()

    - #### activityOnSaveInstanceState

          public void activityOnSaveInstanceState(android.os.Bundle bundle)

    - #### fragmentOnSaveInstanceState

          public void fragmentOnSaveInstanceState(android.os.Bundle bundle)

    - #### onViewStateRestored

          public void onViewStateRestored(android.os.Bundle savedInstanceState)